Package org.eclipse.lemminx.services.extensions

## Interface IDocumentLifecycleParticipant

All Known Implementing Classes:
  `DocumentTelemetryParticipant`

    public interface IDocumentLifecycleParticipant

Document LifecycleService participant API.

Since:
  0.18.0

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `didChange​(DOMDocument document)` Handler called when an XML document is changed.
`void` `didClose​(DOMDocument document)` Handler called when an XML document is closed.
`void` `didOpen​(DOMDocument document)` Handler called when an XML document is opened.
`void` `didSave​(DOMDocument document)` Handler called when an XML document is saved.

### Method Detail

#### didOpen

    void didOpen​(DOMDocument document)

Handler called when an XML document is opened.

Parameters:
  `document` - the DOM document

#### didChange

    void didChange​(DOMDocument document)

Handler called when an XML document is changed.

Parameters:
  `document` - the DOM document

#### didSave

    void didSave​(DOMDocument document)

Handler called when an XML document is saved.

Parameters:
  `document` - the DOM document

#### didClose

    void didClose​(DOMDocument document)

Handler called when an XML document is closed.

Parameters:
  `document` - the DOM document